/* ========================
   Theme Variables
   ======================== */
:root {
  --color-bg: #0a0a0a;
  --color-text: #ffffff;
  --color-muted: #aaa;
  --color-primary: #00ff88;
  --color-card-bg: #111; /* card backgrounds */
  --color-card-text: #fff; /* card text */
  --radius: 12px;
}

/* ========================
   General Layout Styles
   ======================== */

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

h2 {
  margin-bottom: 20px;
  font-size: 2.4rem;
  font-weight: 800;
  text-align: center;
  color: var(--color-primary);
  letter-spacing: 1.5px;
  text-shadow: 0 0 10px color-mix(in srgb, var(--color-primary), transparent 50%);
}

/* Smooth color transition */
body {
   font-family: "Zalando Sans SemiExpanded", sans-serif;
  /*font-family: "Poppins", sans-serif ;*/
  background: var(--color-bg, #0a0a0a);
  color: var(--color-text, #fff);
  transition: background 0.3s, color 0.3s;
}

/* Sections */
section {
  padding: 50px 0;
}


/* Sticky Header */
header {
  position: sticky;
  top: 0;
  left: 0;
  width: 100%;
  background: var(--color-bg);
  z-index: 1000;
  border-bottom: 1px solid var(--color-primary);
}

p {
  margin-bottom: 12px;
  line-height: 1.6;
  margin-left:10px ;
  margin-right:10px ;
}


img {
  max-width: 100%;
  border-radius: var(--radius, 12px);
}


/* LIGHT THEME */
body.light-theme {
  --color-bg: #f5f5f5;
  --color-text: #111111;
  --color-muted: #555555;
  --color-primary: #00aa66;
  --color-card-bg: #fff;
  --color-card-text: #111111;
}

/* Nav adapts automatically because it uses CSS variables */
header, .nav-links li a, #theme-toggle {
  background: var(--color-bg);
  color: var(--color-text);
}

#theme-toggle {
  background: transparent;
  border: none;
  color: var(--color-text);
  font-size: 1.2rem;
  font-weight: 800;
  cursor: pointer;
  padding: 0;
  margin-left: 10px;
  transition: transform 0.2s ease;
}

#theme-toggle:hover {
  transform: scale(1.2);
}

/* .muted {
  color: var(--color-muted);
  font-size: 0.9rem;
  margin-top: 8px;
} */